std::basic_regex::basic_regex(3)

NAME
std::basic_regex::basic_regex - std::basic_regex::basic_regex

Synopsis
   basic_regex(); (1) (since C++11)
   explicit basic_regex( const CharT* s, (2) (since C++11)
   flag_type f = std::regex_constants::ECMAScript );
   basic_regex( const CharT* s, std::size_t count, (3) (since C++11)
   flag_type f = std::regex_constants::ECMAScript );
   basic_regex( const basic_regex& other ); (4) (since C++11)
   basic_regex( basic_regex&& other ) noexcept; (5) (since C++11)
   template< class ST, class SA >
   explicit basic_regex( const std::basic_string<CharT,ST,SA>& str, (6) (since C++11)
   flag_type f = std::regex_constants::ECMAScript );
   template< class ForwardIt >
   basic_regex( ForwardIt first, ForwardIt last, (7) (since C++11)
   flag_type f = std::regex_constants::ECMAScript );
   basic_regex( std::initializer_list<CharT> init, (8) (since C++11)
   flag_type f = std::regex_constants::ECMAScript );
   Constructs a new regular expression from a sequence of characters interpreted
   according to the flags f.
   1) Default constructor. Constructs an empty regular expression which will match
   nothing.
   2) Constructs a regex from a null-terminated string s.
   3) Constructs a regex from a sequence of count characters, pointed to by s.
   4) Copy constructor. Constructs a regex by copying other.
   5) Move constructor. Constructs a regex with the contents of other using move
   semantics.
   6) Constructs a regex from a string str.
   7) Range constructor. Constructs the string with the contents of the range [first,
   last).
   8) Initializer list constructor. Constructs the string with the contents of the
   initializer list init.

Parameters
   s - pointer to a null-terminated string
   count - length of a character sequence used to initialize the regex
   first, last - range of a character sequence used to initialize the regex
   str - a basic_string used as a source used to initialize the regex
   other - another regex to use as source to initialize the regex
   init - initializer list used to initialize the regex
   f - flags used to guide the interpretation of the character sequence as a
                 regular expression

Type requirements
   -
   ForwardIt must meet the requirements of LegacyForwardIterator.

Exceptions
   1) May throw implementation-defined exceptions.
   2-3) std::regex_error if the supplied regular expression is not valid.
   5) May throw implementation-defined exceptions.
   6-8) std::regex_error if the supplied regular expression is not valid.

Example
    This section is incomplete
    Reason: no example